//Source file: Connect.java
//Date: September 2004
//Data Session Control Interfaces and Data Types for 3GPP TS 29.198-08 V5.7.0

package org.csapi.jr.se.dsc;

/**
 * This interface represents a Connect activity object.<BR>
 *
 */
public interface Connect extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the DataSession responsible for creation of the Connect.
     *
     * @return  A reference to the DataSession responsible for creation of the Connect.
     */
    org.csapi.jr.se.dsc.DataSession getDataSession();

    /**
     * Adds a ConnectListener which is interested in events generated by the Connect.
     *
     * @param  connectListener  A reference to the ConnectListener which is to be added as
     *        a listener.
     */
    void addConnectListener(org.csapi.jr.se.dsc.ConnectListener connectListener);

    /**
     * Removes a ConnectListener which is no longer interested events generated by the Connect.
     *
     * @param  connectListener  A reference to the ConnectListener which is to be removed as
     *        a listener.
     */
    void removeConnectListener(org.csapi.jr.se.dsc.ConnectListener connectListener);

    /**
     * Invokes the connectReq() method on the Parlay Gateway.
     */
    void connectReq(
           org.csapi.jr.se.dsc.DataSessionReportRequest[] responseRequested,
           org.csapi.jr.se.Address targetAddress)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.InvalidNetworkStateException,
       org.csapi.jr.se.InvalidAddressException;
}
