//Source file: ConnectListener.java
//Date: September 2004
//Data Session Control Interfaces and Data Types for 3GPP TS 29.198-08 V5.7.0

package org.csapi.jr.se.dsc;

/**
 * This interface is to be implemented for receiving events issued by the Connect activity object.<BR>
 *
 */
public interface ConnectListener extends java.util.EventListener {

   /**
    * Called due to a Gateway initiated call to the connectRes() method on
    * the callback interface.
    *
    * @param  connectResEvent  Reference to a ConnectResEvent event
    *        emmited from the impl or activity object.
    */
    void onConnectResEvent(org.csapi.jr.se.dsc.ConnectResEvent connectResEvent);


   /**
    * Called due to a Gateway initiated call to the connectErr() method on
    * the callback interface.
    *
    * @param  connectErrEvent  Reference to a ConnectErrEvent event
    *        emmited from the impl or activity object.
    */
    void onConnectErrEvent(org.csapi.jr.se.dsc.ConnectErrEvent connectErrEvent);

}
