//Source file: ConnectResEvent.java
//Date: September 2004
//Data Session Control Interfaces and Data Types for 3GPP TS 29.198-08 V5.7.0

package org.csapi.jr.se.dsc;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the connectRes() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class ConnectResEvent extends java.util.EventObject {

    /**
     * Constructor for the ConnectResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public ConnectResEvent(java.lang.Object source,
        org.csapi.jr.se.dsc.DataSessionReport eventReport) {

        super(source);
      this.eventReport = eventReport;
 
    }

    org.csapi.jr.se.dsc.DataSessionReport eventReport;

    /**
     *  This method is used to retrieve the parameter value of 'eventReport' passed up
     *  from the Gateway in it's call to the connectRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'eventReport' used on creation of this event.
     */
    public org.csapi.jr.se.dsc.DataSessionReport getEventReport() {

        return this.eventReport;
    }
       
}

