//Source file: Constants.java
//Date: September 2004
//Data Session Control Interfaces and Data Types for 3GPP TS 29.198-08 V5.7.0

package org.csapi.jr.se.dsc;

/**
 * This interface contains constants not associated with any type, but associated with the package org.csapi.jr.se.dsc
 *
 */
public interface Constants {

    /**
     * Send a warning message to the originating party when the maximum volume is reached. If data session release is requested, then the data session will be released following the message after an administered time period
     */
    public static final int DATA_SESSION_SUPERVISE_INFORM = 4;

    /**
     * The data session has ended, either due to data session party to reach of maximum volume or calling or called release. 
     */
    public static final int DATA_SESSION_SUPERVISE_DATA_SESSION_ENDED = 2;

    /**
     * A warning message has been sent.
     */
    public static final int DATA_SESSION_SUPERVISE_MESSAGE_SENT = 4;

    /**
     * Release the data session when the data session supervision volume is reached.
     */
    public static final int DATA_SESSION_SUPERVISE_RELEASE = 1;

    /**
     * Notify the application when the call supervision volume is reached.
     */
    public static final int DATA_SESSION_SUPERVISE_RESPOND = 2;

    /**
     * The maximum volume has been reached.
     */
    public static final int DATA_SESSION_SUPERVISE_VOLUME_REACHED = 1;

    /**
     * Undefined.
     */
    public static final int EVENT_NAME_UNDEFINED = 0;

    /**
     * The data session is going to be setup.
     */
    public static final int EVENT_DSCS_SETUP = 1;

    /**
     * The data session is established by the network.
     */
    public static final int EVENT_DSCS_ESTABLISHED = 2;

    /**
     * 
     */
    public static final int EVENT_NAME_QOD_CHANGED = 4;

    /**
     * A change in QoS class has taken place during the life of the data session.
     */
    public static final int EVENT_DSCS_QOS_CHANGED = 4;

} // org.csapi.jr.se.dsc.Constants
