//Source file: DataSessionAdditionalErrorInfo.java
//Date: September 2004
//Data Session Control Interfaces and Data Types for 3GPP TS 29.198-08 V5.7.0

package org.csapi.jr.se.dsc;

/**
 * Defines the Tagged Choice of Data Elements that specify additional Data Session error and Data Session error specific information. 
 *
 */
public final class DataSessionAdditionalErrorInfo implements java.io.Serializable {

    private DataSessionErrorType _discriminator = null;
    private java.lang.Object _object;

    /**
     * Creates a new DataSessionAdditionalErrorInfo.
     * Tagged choice of data elements always have empty constructors
     */ 
    public DataSessionAdditionalErrorInfo() {}

    /**
     * This method returns the discriminator.
     * 
     * @return a DataSessionErrorType value 
     * @exception InvalidUnionAccessorException if an error occurs 
     */ 
    public DataSessionErrorType getDiscriminator() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator == null) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return _discriminator;
    }

    /**
     * This method returns a DataSessionErrorInvalidAddress
     * 
     * @return  a org.csapi.jr.se.AddressError value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.AddressError getDataSessionErrorInvalidAddress() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != DataSessionErrorType.DATA_SESSION_ERROR_INVALID_ADDRESS) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.AddressError) _object);
    }

    /**
     * This method sets a DataSessionErrorInvalidAddress
     * 
     * @param value a org.csapi.jr.se.AddressError value
     */
    public void setDataSessionErrorInvalidAddress(org.csapi.jr.se.AddressError value) {
        _discriminator = DataSessionErrorType.DATA_SESSION_ERROR_INVALID_ADDRESS;
        _object = value;
    }


    /**
     * This method will receive the discriminator as a parameter and will set _object to null
     * 
     * @param discriminator a DataSessionErrorType value 
     */ 
    public void setUndefined(DataSessionErrorType discriminator) {
        _discriminator = discriminator;
        _object = null;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) {
            return false;
        }
        if(!(o instanceof DataSessionAdditionalErrorInfo)) {
            return false;
        } else {
            DataSessionAdditionalErrorInfo dataSessionAdditionalErrorInfo= (DataSessionAdditionalErrorInfo)o;
            if(!(this._object.equals(dataSessionAdditionalErrorInfo._object))){
                return false;
            } else {
                if(!(this._discriminator.equals(dataSessionAdditionalErrorInfo._discriminator))){
                    return false;
                }
            }
            if (this.hashCode() != o.hashCode()) {
                return false;
            }
            return true;
        }
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // DataSessionAdditionalErrorInfo

