//Source file: DataSessionAdditionalReportInfo.java
//Date: September 2004
//Data Session Control Interfaces and Data Types for 3GPP TS 29.198-08 V5.7.0

package org.csapi.jr.se.dsc;

/**
 * Defines the Tagged Choice of Data Elements that specify additional data session report information for certain types of reports.
 *
 */
public final class DataSessionAdditionalReportInfo implements java.io.Serializable {

    private DataSessionReportType _discriminator = null;
    private java.lang.Object _object;

    /**
     * Creates a new DataSessionAdditionalReportInfo.
     * Tagged choice of data elements always have empty constructors
     */ 
    public DataSessionAdditionalReportInfo() {}

    /**
     * This method returns the discriminator.
     * 
     * @return a DataSessionReportType value 
     * @exception InvalidUnionAccessorException if an error occurs 
     */ 
    public DataSessionReportType getDiscriminator() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator == null) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return _discriminator;
    }

    /**
     * This method returns a DataSessionDisconnect
     * 
     * @return  a org.csapi.jr.se.dsc.DataSessionReleaseCause value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.dsc.DataSessionReleaseCause getDataSessionDisconnect() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != DataSessionReportType.DATA_SESSION_REPORT_DISCONNECT) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.dsc.DataSessionReleaseCause) _object);
    }

    /**
     * This method sets a DataSessionDisconnect
     * 
     * @param value a org.csapi.jr.se.dsc.DataSessionReleaseCause value
     */
    public void setDataSessionDisconnect(org.csapi.jr.se.dsc.DataSessionReleaseCause value) {
        _discriminator = DataSessionReportType.DATA_SESSION_REPORT_DISCONNECT;
        _object = value;
    }


    /**
     * This method will receive the discriminator as a parameter and will set _object to null
     * 
     * @param discriminator a DataSessionReportType value 
     */ 
    public void setUndefined(DataSessionReportType discriminator) {
        _discriminator = discriminator;
        _object = null;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) {
            return false;
        }
        if(!(o instanceof DataSessionAdditionalReportInfo)) {
            return false;
        } else {
            DataSessionAdditionalReportInfo dataSessionAdditionalReportInfo= (DataSessionAdditionalReportInfo)o;
            if(!(this._object.equals(dataSessionAdditionalReportInfo._object))){
                return false;
            } else {
                if(!(this._discriminator.equals(dataSessionAdditionalReportInfo._discriminator))){
                    return false;
                }
            }
            if (this.hashCode() != o.hashCode()) {
                return false;
            }
            return true;
        }
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // DataSessionAdditionalReportInfo

