//Source file: DataSessionChargeOrder.java
//Date: September 2004
//Data Session Control Interfaces and Data Types for 3GPP TS 29.198-08 V5.7.0

package org.csapi.jr.se.dsc;

/**
 * Defines the Tagged Choice of Data Elements that specify the charge plan for the call.
 *
 */
public final class DataSessionChargeOrder implements java.io.Serializable {

    private DataSessionChargeOrderCategory _discriminator = null;
    private java.lang.Object _object;

    /**
     * Creates a new DataSessionChargeOrder.
     * Tagged choice of data elements always have empty constructors
     */ 
    public DataSessionChargeOrder() {}

    /**
     * This method returns the discriminator.
     * 
     * @return a DataSessionChargeOrderCategory value 
     * @exception InvalidUnionAccessorException if an error occurs 
     */ 
    public DataSessionChargeOrderCategory getDiscriminator() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator == null) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return _discriminator;
    }

    /**
     * This method returns a ChargePerVolume
     * 
     * @return  a org.csapi.jr.se.dsc.ChargePerVolume value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.dsc.ChargePerVolume getChargePerVolume() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != DataSessionChargeOrderCategory.DATA_SESSION_CHARGE_PER_VOLUME) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.dsc.ChargePerVolume) _object);
    }

    /**
     * This method sets a ChargePerVolume
     * 
     * @param value a org.csapi.jr.se.dsc.ChargePerVolume value
     */
    public void setChargePerVolume(org.csapi.jr.se.dsc.ChargePerVolume value) {
        _discriminator = DataSessionChargeOrderCategory.DATA_SESSION_CHARGE_PER_VOLUME;
        _object = value;
    }

    /**
     * This method returns a NetworkCharge
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getNetworkCharge() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != DataSessionChargeOrderCategory.DATA_SESSION_CHARGE_NETWORK) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a NetworkCharge
     * 
     * @param value a java.lang.String value
     */
    public void setNetworkCharge(java.lang.String value) {
        _discriminator = DataSessionChargeOrderCategory.DATA_SESSION_CHARGE_NETWORK;
        _object = value;
    }


    /**
     * This method will receive the discriminator as a parameter and will set _object to null
     * 
     * @param discriminator a DataSessionChargeOrderCategory value 
     */ 
    public void setUndefined(DataSessionChargeOrderCategory discriminator) {
        _discriminator = discriminator;
        _object = null;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) {
            return false;
        }
        if(!(o instanceof DataSessionChargeOrder)) {
            return false;
        } else {
            DataSessionChargeOrder dataSessionChargeOrder= (DataSessionChargeOrder)o;
            if(!(this._object.equals(dataSessionChargeOrder._object))){
                return false;
            } else {
                if(!(this._discriminator.equals(dataSessionChargeOrder._discriminator))){
                    return false;
                }
            }
            if (this.hashCode() != o.hashCode()) {
                return false;
            }
            return true;
        }
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // DataSessionChargeOrder

