//Source file: DataSessionChargeOrderCategory.java
//Date: September 2004
//Data Session Control Interfaces and Data Types for 3GPP TS 29.198-08 V5.7.0

package org.csapi.jr.se.dsc;

/**
 * 
 *
 */
public final class DataSessionChargeOrderCategory implements java.io.Serializable {

    private int _value;
    private static int _size = 2;
    private static DataSessionChargeOrderCategory[] _array = new DataSessionChargeOrderCategory[_size];

    /**
     * Private constructor used internally to construct static objects 
     */
    private DataSessionChargeOrderCategory(int value) {
        _value = value;
        _array[_value] = this;
    }

    /**
     * Charge per volume.
     */
    public static final int _DATA_SESSION_CHARGE_PER_VOLUME =  0;

    /**
     * Charge per volume.
     */
    public static final DataSessionChargeOrderCategory DATA_SESSION_CHARGE_PER_VOLUME = new DataSessionChargeOrderCategory(_DATA_SESSION_CHARGE_PER_VOLUME);

    /**
     * Operator specific charge plan specification, for example charging table name / charging table entry.
     */
    public static final int _DATA_SESSION_CHARGE_NETWORK =  1;

    /**
     * Operator specific charge plan specification, for example charging table name / charging table entry.
     */
    public static final DataSessionChargeOrderCategory DATA_SESSION_CHARGE_NETWORK = new DataSessionChargeOrderCategory(_DATA_SESSION_CHARGE_NETWORK);


    /**
     * Method allows class to replace/resolve the object read from the stream before it 
     * is returned to the caller. By implementing this method, a class can directly control
     * the types and instances of its own instances being deserialized.
     *
     * @return the resolved DataSessionChargeOrderCategory object 
     */
    private Object readResolve() throws java.io.ObjectStreamException {
        return _array[_value];
    }

    /**
     * Number representing enum type
     *
     * @return int number representing type of object, this is defined within the class
     */
    public int getValue() {
        return _value;
    }

    /**
     * getValueText method, overrides the getValueText() method in class java.lang.Object
     *
     * @return String  The stringified version of the DataSessionChargeOrderCategory object
     */
    public String getValueText() {
        switch (_value) {
            case _DATA_SESSION_CHARGE_PER_VOLUME:
                return "DATA_SESSION_CHARGE_PER_VOLUME";
            case _DATA_SESSION_CHARGE_NETWORK:
                return "DATA_SESSION_CHARGE_NETWORK";
            default:
                return "ERROR";
        }
    }

    /**
     * Accepts values in the range of 0 to 1
     *
     * @param value number representing type of object, this is defined within the class
     * @throws org.csapi.jr.se.InvalidEnumValueException thrown if invalid value is passed into method
     */
    public static DataSessionChargeOrderCategory getObject(int value) throws org.csapi.jr.se.InvalidEnumValueException {
        if(value >= 0 && value < _size) {
            return _array[value];
        } else {
            throw new org.csapi.jr.se.InvalidEnumValueException("value [" + value +" ] out of range");
        }
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof DataSessionChargeOrderCategory)) {
            return false;
        }
        DataSessionChargeOrderCategory dataSessionChargeOrderCategory = (DataSessionChargeOrderCategory) o; 
        if(!(this.getValue() == dataSessionChargeOrderCategory.getValue())) {
            return false;
        }
        if (this.hashCode() != dataSessionChargeOrderCategory.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // DataSessionChargeOrderCategory

