//Source file: DataSessionControlManager.java
//Date: September 2004
//Data Session Control Interfaces and Data Types for 3GPP TS 29.198-08 V5.7.0

package org.csapi.jr.se.dsc;

/**
 * This interface represents a DataSessionControlManager.<BR>
 *
 */
public interface DataSessionControlManager extends org.csapi.jr.se.Service {

    /**
     * Adds a DataSessionControlManagerListener which is interested in events generated by the DataSessionControlManager.
     *
     * @param  dataSessionControlManagerListener  A reference to the DataSessionControlManagerListener which is to be added as
     *         a listener.
     */
    void addDataSessionControlManagerListener(org.csapi.jr.se.dsc.DataSessionControlManagerListener dataSessionControlManagerListener);

    /**
     * Removes a DataSessionControlManagerListener which is no longer interested in events generated by the DataSessionControlManager.
     *
     * @param  dataSessionControlManagerListener  A reference to the DataSessionControlManagerListener which is to be removed as
     *         a listener.
     */
    void removeDataSessionControlManagerListener(org.csapi.jr.se.dsc.DataSessionControlManagerListener dataSessionControlManagerListener);

    /**
     * Invokes the getNotification() method on the Parlay Gateway.
     *
     * @deprecated  This method is deprecated and will be removed in a later release.
     * It is strongly recommended not to implement this method. It has been replaced by getNotifications().
     */
    org.csapi.jr.se.dsc.DataSessionEventCriteria getNotification()
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.InvalidNetworkStateException;

    /**
     * Invokes the disableNotifications() method on the Parlay Gateway.
     */
    void disableNotifications()
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.CommonException;

    /**
     * Invokes the getNotifications() method on the Parlay Gateway.
     */
    org.csapi.jr.se.dsc.DataSessionEventCriteriaResult[] getNotifications()
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.InvalidNetworkStateException;

    /**
     * Creates a Notifications object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the Notifications interface.
     */
    org.csapi.jr.se.dsc.Notifications createNotifications();

    /**
     * Creates a Notification object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the Notification interface.
     *
     * @deprecated  This method is deprecated and will be removed in a later release.
     * It is strongly recommended not to implement this method. It has been replaced by createNotifications().
     */
    org.csapi.jr.se.dsc.Notification createNotification();

}
