//Source file: DataSessionControlManagerListener.java
//Date: September 2004
//Data Session Control Interfaces and Data Types for 3GPP TS 29.198-08 V5.7.0

package org.csapi.jr.se.dsc;

/**
 * This interface is to be implemented for receiving events issued by the DataSessionControlManager service object.<BR>
 *
 */
public interface DataSessionControlManagerListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the dataSessionAborted() method on 
    * the callback interface.
    *
    * @param  dataSessionAbortedEvent  Reference to a DataSessionAbortedEvent event 
    *        emmited from the impl or activity object. 
    */
    void onDataSessionAbortedEvent(org.csapi.jr.se.dsc.DataSessionAbortedEvent dataSessionAbortedEvent);


   /**
    * Called due to a Gateway initiated call to the dataSessionNotificationContinued() method on 
    * the callback interface.
    *
    * @param  dataSessionNotificationContinuedEvent  Reference to a DataSessionNotificationContinuedEvent event 
    *        emmited from the impl or activity object. 
    */
    void onDataSessionNotificationContinuedEvent(org.csapi.jr.se.dsc.DataSessionNotificationContinuedEvent dataSessionNotificationContinuedEvent);


   /**
    * Called due to a Gateway initiated call to the dataSessionNotificationInterrupted() method on 
    * the callback interface.
    *
    * @param  dataSessionNotificationInterruptedEvent  Reference to a DataSessionNotificationInterruptedEvent event 
    *        emmited from the impl or activity object. 
    */
    void onDataSessionNotificationInterruptedEvent(org.csapi.jr.se.dsc.DataSessionNotificationInterruptedEvent dataSessionNotificationInterruptedEvent);

}

