//Source file: DataSessionError.java
//Date: September 2004
//Data Session Control Interfaces and Data Types for 3GPP TS 29.198-08 V5.7.0

package org.csapi.jr.se.dsc;

/**
 * Defines the Sequence of Data Elements that specify the additional information relating to a call error. 
 * 
 */
public final class DataSessionError implements java.io.Serializable {

    private String errorTime;
    private org.csapi.jr.se.dsc.DataSessionErrorType errorType;
    private org.csapi.jr.se.dsc.DataSessionAdditionalErrorInfo additionalErrorInfo;

    /**
     * Creates a new DataSessionError instance.
     */
    public DataSessionError () {}

    /**
     * Creates a new DataSessionError instance.
     * @param _errorTime   
     * @param _errorType   
     * @param _additionalErrorInfo   
     */
    public DataSessionError (String _errorTime, org.csapi.jr.se.dsc.DataSessionErrorType _errorType, org.csapi.jr.se.dsc.DataSessionAdditionalErrorInfo _additionalErrorInfo) {

        this.errorTime = _errorTime;
        this.errorType = _errorType;
        this.additionalErrorInfo = _additionalErrorInfo;
    }

    /**
     * This method returns a errorTime.
     * 
     * @return a String value
     */
    public String getErrorTime() {
        return errorTime;
    }

    /**
     * This method returns a errorType.
     * 
     * @return a org.csapi.jr.se.dsc.DataSessionErrorType value
     */
    public org.csapi.jr.se.dsc.DataSessionErrorType getErrorType() {
        return errorType;
    }

    /**
     * This method returns a additionalErrorInfo.
     * 
     * @return a org.csapi.jr.se.dsc.DataSessionAdditionalErrorInfo value
     */
    public org.csapi.jr.se.dsc.DataSessionAdditionalErrorInfo getAdditionalErrorInfo() {
        return additionalErrorInfo;
    }


    /**
     * This method sets a errorTime.
     */ 
    public void setErrorTime(String errorTime) {
        this.errorTime = errorTime;
    }

    /**
     * This method sets a errorType.
     */ 
    public void setErrorType(org.csapi.jr.se.dsc.DataSessionErrorType errorType) {
        this.errorType = errorType;
    }

    /**
     * This method sets a additionalErrorInfo.
     */ 
    public void setAdditionalErrorInfo(org.csapi.jr.se.dsc.DataSessionAdditionalErrorInfo additionalErrorInfo) {
        this.additionalErrorInfo = additionalErrorInfo;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof DataSessionError)) {
            return false;
        } 
        DataSessionError dataSessionError = (DataSessionError) o;
        if ((this.additionalErrorInfo != null) && (dataSessionError.additionalErrorInfo != null)) {
            if(!(this.additionalErrorInfo.equals(dataSessionError.additionalErrorInfo))) {
                return false;
            }
        }
        if ((this.errorType != null) && (dataSessionError.errorType != null)) {
            if(!(this.errorType.equals(dataSessionError.errorType))) {
                return false;
            }
        }
        if(!(this.errorTime == dataSessionError.errorTime))  {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // DataSessionError

