//Source file: DataSessionEventCriteriaResult.java
//Date: September 2004
//Data Session Control Interfaces and Data Types for 3GPP TS 29.198-08 V5.7.0

package org.csapi.jr.se.dsc;

/**
 * Defines a sequence of data elements that specify a requested data session event notification criteria with the associated assignmentID. 
 * 
 */
public final class DataSessionEventCriteriaResult implements java.io.Serializable {

    private org.csapi.jr.se.dsc.DataSessionEventCriteria eventCriteria;
    private int assignmentID;

    /**
     * Creates a new DataSessionEventCriteriaResult instance.
     */
    public DataSessionEventCriteriaResult () {}

    /**
     * Creates a new DataSessionEventCriteriaResult instance.
     * @param _eventCriteria   The event criteria that were specified by the application.
     * @param _assignmentID   The associated assignmentID. This can be used to disable the notification.
     */
    public DataSessionEventCriteriaResult (org.csapi.jr.se.dsc.DataSessionEventCriteria _eventCriteria, int _assignmentID) {

        this.eventCriteria = _eventCriteria;
        this.assignmentID = _assignmentID;
    }

    /**
     * This method returns a eventCriteria.
     * 
     * @return a org.csapi.jr.se.dsc.DataSessionEventCriteria value
     */
    public org.csapi.jr.se.dsc.DataSessionEventCriteria getEventCriteria() {
        return eventCriteria;
    }

    /**
     * This method returns a assignmentID.
     * 
     * @return a int value
     */
    public int getAssignmentID() {
        return assignmentID;
    }


    /**
     * This method sets a eventCriteria.
     */ 
    public void setEventCriteria(org.csapi.jr.se.dsc.DataSessionEventCriteria eventCriteria) {
        this.eventCriteria = eventCriteria;
    }

    /**
     * This method sets a assignmentID.
     */ 
    public void setAssignmentID(int assignmentID) {
        this.assignmentID = assignmentID;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof DataSessionEventCriteriaResult)) {
            return false;
        } 
        DataSessionEventCriteriaResult dataSessionEventCriteriaResult = (DataSessionEventCriteriaResult) o;
        if ((this.eventCriteria != null) && (dataSessionEventCriteriaResult.eventCriteria != null)) {
            if(!(this.eventCriteria.equals(dataSessionEventCriteriaResult.eventCriteria))) {
                return false;
            }
        }
        if(!(this.assignmentID == dataSessionEventCriteriaResult.assignmentID)) {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // DataSessionEventCriteriaResult

