//Source file: DataSessionFaultDetectedEvent.java
//Date: September 2004
//Data Session Control Interfaces and Data Types for 3GPP TS 29.198-08 V5.7.0

package org.csapi.jr.se.dsc;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the dataSessionFaultDetected() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class DataSessionFaultDetectedEvent extends java.util.EventObject {

    /**
     * Constructor for the DataSessionFaultDetectedEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public DataSessionFaultDetectedEvent(java.lang.Object source,
        org.csapi.jr.se.dsc.DataSessionFault fault) {

        super(source);
      this.fault = fault;
 
    }

    org.csapi.jr.se.dsc.DataSessionFault fault;

    /**
     *  This method is used to retrieve the parameter value of 'fault' passed up
     *  from the Gateway in it's call to the dataSessionFaultDetected() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'fault' used on creation of this event.
     */
    public org.csapi.jr.se.dsc.DataSessionFault getFault() {

        return this.fault;
    }
       
}

