//Source file: DataSessionListener.java
//Date: September 2004
//Data Session Control Interfaces and Data Types for 3GPP TS 29.198-08 V5.7.0

package org.csapi.jr.se.dsc;

/**
 * This interface is to be implemented for receiving events issued by the DataSession service object.<BR>
 *
 */
public interface DataSessionListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the superviseDataSessionRes() method on 
    * the callback interface.
    *
    * @param  superviseDataSessionResEvent  Reference to a SuperviseDataSessionResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onSuperviseDataSessionResEvent(org.csapi.jr.se.dsc.SuperviseDataSessionResEvent superviseDataSessionResEvent);


   /**
    * Called due to a Gateway initiated call to the superviseDataSessionErr() method on 
    * the callback interface.
    *
    * @param  superviseDataSessionErrEvent  Reference to a SuperviseDataSessionErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onSuperviseDataSessionErrEvent(org.csapi.jr.se.dsc.SuperviseDataSessionErrEvent superviseDataSessionErrEvent);


   /**
    * Called due to a Gateway initiated call to the dataSessionFaultDetected() method on 
    * the callback interface.
    *
    * @param  dataSessionFaultDetectedEvent  Reference to a DataSessionFaultDetectedEvent event 
    *        emmited from the impl or activity object. 
    */
    void onDataSessionFaultDetectedEvent(org.csapi.jr.se.dsc.DataSessionFaultDetectedEvent dataSessionFaultDetectedEvent);

}

