//Source file: DataSessionReleaseCause.java
//Date: September 2004
//Data Session Control Interfaces and Data Types for 3GPP TS 29.198-08 V5.7.0

package org.csapi.jr.se.dsc;

/**
 * Defines the Sequence of Data Elements that specify the cause of the release of a data session.
NOTE:	the Value and Location are specified as in ITU-T Recommendation Q.850.
 * 
 */
public final class DataSessionReleaseCause implements java.io.Serializable {

    private int value;
    private int location;

    /**
     * Creates a new DataSessionReleaseCause instance.
     */
    public DataSessionReleaseCause () {}

    /**
     * Creates a new DataSessionReleaseCause instance.
     * @param _value   
     * @param _location   
     */
    public DataSessionReleaseCause (int _value, int _location) {

        this.value = _value;
        this.location = _location;
    }

    /**
     * This method returns a value.
     * 
     * @return a int value
     */
    public int getValue() {
        return value;
    }

    /**
     * This method returns a location.
     * 
     * @return a int value
     */
    public int getLocation() {
        return location;
    }


    /**
     * This method sets a value.
     */ 
    public void setValue(int value) {
        this.value = value;
    }

    /**
     * This method sets a location.
     */ 
    public void setLocation(int location) {
        this.location = location;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof DataSessionReleaseCause)) {
            return false;
        } 
        DataSessionReleaseCause dataSessionReleaseCause = (DataSessionReleaseCause) o;
        if(!(this.value == dataSessionReleaseCause.value)) {
            return false;
        }
        if(!(this.location == dataSessionReleaseCause.location)) {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // DataSessionReleaseCause

