//Source file: DataSessionReport.java
//Date: September 2004
//Data Session Control Interfaces and Data Types for 3GPP TS 29.198-08 V5.7.0

package org.csapi.jr.se.dsc;

/**
 * Defines the Sequence of Data Elements that specify the data session report specific information. 
 * 
 */
public final class DataSessionReport implements java.io.Serializable {

    private org.csapi.jr.se.dsc.DataSessionMonitorMode monitorMode;
    private String dataSessionEventTime;
    private org.csapi.jr.se.dsc.DataSessionReportType dataSessionReportType;
    private org.csapi.jr.se.dsc.DataSessionAdditionalReportInfo additionalReportInfo;

    /**
     * Creates a new DataSessionReport instance.
     */
    public DataSessionReport () {}

    /**
     * Creates a new DataSessionReport instance.
     * @param _monitorMode   
     * @param _dataSessionEventTime   
     * @param _dataSessionReportType   
     * @param _additionalReportInfo   
     */
    public DataSessionReport (org.csapi.jr.se.dsc.DataSessionMonitorMode _monitorMode, String _dataSessionEventTime, org.csapi.jr.se.dsc.DataSessionReportType _dataSessionReportType, org.csapi.jr.se.dsc.DataSessionAdditionalReportInfo _additionalReportInfo) {

        this.monitorMode = _monitorMode;
        this.dataSessionEventTime = _dataSessionEventTime;
        this.dataSessionReportType = _dataSessionReportType;
        this.additionalReportInfo = _additionalReportInfo;
    }

    /**
     * This method returns a monitorMode.
     * 
     * @return a org.csapi.jr.se.dsc.DataSessionMonitorMode value
     */
    public org.csapi.jr.se.dsc.DataSessionMonitorMode getMonitorMode() {
        return monitorMode;
    }

    /**
     * This method returns a dataSessionEventTime.
     * 
     * @return a String value
     */
    public String getDataSessionEventTime() {
        return dataSessionEventTime;
    }

    /**
     * This method returns a dataSessionReportType.
     * 
     * @return a org.csapi.jr.se.dsc.DataSessionReportType value
     */
    public org.csapi.jr.se.dsc.DataSessionReportType getDataSessionReportType() {
        return dataSessionReportType;
    }

    /**
     * This method returns a additionalReportInfo.
     * 
     * @return a org.csapi.jr.se.dsc.DataSessionAdditionalReportInfo value
     */
    public org.csapi.jr.se.dsc.DataSessionAdditionalReportInfo getAdditionalReportInfo() {
        return additionalReportInfo;
    }


    /**
     * This method sets a monitorMode.
     */ 
    public void setMonitorMode(org.csapi.jr.se.dsc.DataSessionMonitorMode monitorMode) {
        this.monitorMode = monitorMode;
    }

    /**
     * This method sets a dataSessionEventTime.
     */ 
    public void setDataSessionEventTime(String dataSessionEventTime) {
        this.dataSessionEventTime = dataSessionEventTime;
    }

    /**
     * This method sets a dataSessionReportType.
     */ 
    public void setDataSessionReportType(org.csapi.jr.se.dsc.DataSessionReportType dataSessionReportType) {
        this.dataSessionReportType = dataSessionReportType;
    }

    /**
     * This method sets a additionalReportInfo.
     */ 
    public void setAdditionalReportInfo(org.csapi.jr.se.dsc.DataSessionAdditionalReportInfo additionalReportInfo) {
        this.additionalReportInfo = additionalReportInfo;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof DataSessionReport)) {
            return false;
        } 
        DataSessionReport dataSessionReport = (DataSessionReport) o;
        if ((this.monitorMode != null) && (dataSessionReport.monitorMode != null)) {
            if(!(this.monitorMode.equals(dataSessionReport.monitorMode))) {
                return false;
            }
        }
        if(!(this.dataSessionEventTime == dataSessionReport.dataSessionEventTime))  {
            return false;
        }
        if ((this.dataSessionReportType != null) && (dataSessionReport.dataSessionReportType != null)) {
            if(!(this.dataSessionReportType.equals(dataSessionReport.dataSessionReportType))) {
                return false;
            }
        }
        if ((this.additionalReportInfo != null) && (dataSessionReport.additionalReportInfo != null)) {
            if(!(this.additionalReportInfo.equals(dataSessionReport.additionalReportInfo))) {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // DataSessionReport

