//Source file: DataSessionReportRequest.java
//Date: September 2004
//Data Session Control Interfaces and Data Types for 3GPP TS 29.198-08 V5.7.0

package org.csapi.jr.se.dsc;

/**
 * Defines the Sequence of Data Elements that specify the criteria relating to data session report requests. 
 * 
 */
public final class DataSessionReportRequest implements java.io.Serializable {

    private org.csapi.jr.se.dsc.DataSessionMonitorMode monitorMode;
    private org.csapi.jr.se.dsc.DataSessionReportType dataSessionReportType;

    /**
     * Creates a new DataSessionReportRequest instance.
     */
    public DataSessionReportRequest () {}

    /**
     * Creates a new DataSessionReportRequest instance.
     * @param _monitorMode   
     * @param _dataSessionReportType   
     */
    public DataSessionReportRequest (org.csapi.jr.se.dsc.DataSessionMonitorMode _monitorMode, org.csapi.jr.se.dsc.DataSessionReportType _dataSessionReportType) {

        this.monitorMode = _monitorMode;
        this.dataSessionReportType = _dataSessionReportType;
    }

    /**
     * This method returns a monitorMode.
     * 
     * @return a org.csapi.jr.se.dsc.DataSessionMonitorMode value
     */
    public org.csapi.jr.se.dsc.DataSessionMonitorMode getMonitorMode() {
        return monitorMode;
    }

    /**
     * This method returns a dataSessionReportType.
     * 
     * @return a org.csapi.jr.se.dsc.DataSessionReportType value
     */
    public org.csapi.jr.se.dsc.DataSessionReportType getDataSessionReportType() {
        return dataSessionReportType;
    }


    /**
     * This method sets a monitorMode.
     */ 
    public void setMonitorMode(org.csapi.jr.se.dsc.DataSessionMonitorMode monitorMode) {
        this.monitorMode = monitorMode;
    }

    /**
     * This method sets a dataSessionReportType.
     */ 
    public void setDataSessionReportType(org.csapi.jr.se.dsc.DataSessionReportType dataSessionReportType) {
        this.dataSessionReportType = dataSessionReportType;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof DataSessionReportRequest)) {
            return false;
        } 
        DataSessionReportRequest dataSessionReportRequest = (DataSessionReportRequest) o;
        if ((this.monitorMode != null) && (dataSessionReportRequest.monitorMode != null)) {
            if(!(this.monitorMode.equals(dataSessionReportRequest.monitorMode))) {
                return false;
            }
        }
        if ((this.dataSessionReportType != null) && (dataSessionReportRequest.dataSessionReportType != null)) {
            if(!(this.dataSessionReportType.equals(dataSessionReportRequest.dataSessionReportType))) {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // DataSessionReportRequest

