//Source file: Notification.java
//Date: September 2004
//Data Session Control Interfaces and Data Types for 3GPP TS 29.198-08 V5.7.0

package org.csapi.jr.se.dsc;

/**
 * This interface represents a Notification activity object.<BR>
 *
 * @deprecated  This activity is deprecated and will be removed in a later release.
 * It is strongly recommended not to implement this activity. It has been replaced by the Notifications activity.
 */
public interface Notification extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the DataSessionControlManager responsible for creation of the Notification.
     *
     * @return  A reference to the DataSessionControlManager responsible for creation of the Notification.
     */
    org.csapi.jr.se.dsc.DataSessionControlManager getDataSessionControlManager();

    /**
     * Adds a NotificationListener which is interested in events generated by the Notification.
     *
     * @param  notificationListener  A reference to the NotificationListener which is to be added as
     *        a listener.
     */
    void addNotificationListener(org.csapi.jr.se.dsc.NotificationListener notificationListener);

    /**
     * Removes a NotificationListener which is no longer interested events generated by the Notification.
     *
     * @param  notificationListener  A reference to the NotificationListener which is to be removed as
     *        a listener.
     */
    void removeNotificationListener(org.csapi.jr.se.dsc.NotificationListener notificationListener);

    /**
     * Invokes the createNotification() method on the Parlay Gateway.
     */
    void createNotification(
           org.csapi.jr.se.dsc.DataSessionEventCriteria eventCriteria)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.InvalidNetworkStateException,
       org.csapi.jr.se.InvalidCriteriaException,
       org.csapi.jr.se.InvalidEventTypeException;

    /**
     * Invokes the destroyNotification() method on the Parlay Gateway.
     */
    void destroyNotification()
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.InvalidNetworkStateException;

    /**
     * Invokes the changeNotification() method on the Parlay Gateway.
     */
    void changeNotification(
           org.csapi.jr.se.dsc.DataSessionEventCriteria eventCriteria)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.InvalidNetworkStateException,
       org.csapi.jr.se.InvalidCriteriaException,
       org.csapi.jr.se.InvalidEventTypeException;
}
