//Source file: Notifications.java
//Date: September 2004
//Data Session Control Interfaces and Data Types for 3GPP TS 29.198-08 V5.7.0

package org.csapi.jr.se.dsc;

/**
 * This interface represents a Notifications activity object.<BR>
 *
 */
public interface Notifications extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the DataSessionControlManager responsible for creation of the Notifications.
     *
     * @return  A reference to the DataSessionControlManager responsible for creation of the Notifications.
     */
    org.csapi.jr.se.dsc.DataSessionControlManager getDataSessionControlManager();

    /**
     * Adds a NotificationsListener which is interested in events generated by the Notifications.
     *
     * @param  notificationsListener  A reference to the NotificationsListener which is to be added as
     *        a listener.
     */
    void addNotificationsListener(org.csapi.jr.se.dsc.NotificationsListener notificationsListener);

    /**
     * Removes a NotificationsListener which is no longer interested events generated by the Notifications.
     *
     * @param  notificationsListener  A reference to the NotificationsListener which is to be removed as
     *        a listener.
     */
    void removeNotificationsListener(org.csapi.jr.se.dsc.NotificationsListener notificationsListener);

    /**
     * Invokes the enableNotifications() method on the Parlay Gateway.
     */
    void enableNotifications()
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException;

    /**
     * Invokes the createNotifications() method on the Parlay Gateway.
     */
    void createNotifications(
           org.csapi.jr.se.dsc.DataSessionEventCriteria eventCriteria)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.InvalidNetworkStateException,
       org.csapi.jr.se.InvalidCriteriaException,
       org.csapi.jr.se.InvalidEventTypeException,
       org.csapi.jr.se.InvalidInterfaceTypeException;

    /**
     * Invokes the destroyNotification() method on the Parlay Gateway.
     */
    void destroyNotification()
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.InvalidNetworkStateException;

    /**
     * Invokes the changeNotification() method on the Parlay Gateway.
     */
    void changeNotification(
           org.csapi.jr.se.dsc.DataSessionEventCriteria eventCriteria)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.InvalidNetworkStateException,
       org.csapi.jr.se.InvalidCriteriaException,
       org.csapi.jr.se.InvalidEventTypeException;

}
