//Source file: ReportNotificationEvent.java
//Date: September 2004
//Data Session Control Interfaces and Data Types for 3GPP TS 29.198-08 V5.7.0

package org.csapi.jr.se.dsc;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the reportNotification() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class ReportNotificationEvent extends java.util.EventObject {

    /**
     * Constructor for the ReportNotificationEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public ReportNotificationEvent(java.lang.Object source,
        org.csapi.jr.se.dsc.DataSession interfaceRef,
        org.csapi.jr.se.dsc.DataSessionEventInfo eventInfo) {

        super(source);
        this.dataSession = interfaceRef;
      this.eventInfo = eventInfo;
 
    }

    org.csapi.jr.se.dsc.DataSession dataSession = null;

    /**
     *  This method is used to retrieve the DataSession, associated with this event.
     *
     * @return    The DataSession associated with this event.<BR>
     *
     */
    public org.csapi.jr.se.dsc.DataSession getDataSession() {

        return this.dataSession;
    }

    org.csapi.jr.se.dsc.DataSessionEventInfo eventInfo;

    /**
     *  This method is used to retrieve the parameter value of 'eventInfo' passed up
     *  from the Gateway in it's call to the reportNotification() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'eventInfo' used on creation of this event.
     */
    public org.csapi.jr.se.dsc.DataSessionEventInfo getEventInfo() {

        return this.eventInfo;
    }
       
}

