//Source file: SuperviseDataSessionErrEvent.java
//Date: September 2004
//Data Session Control Interfaces and Data Types for 3GPP TS 29.198-08 V5.7.0

package org.csapi.jr.se.dsc;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the superviseDataSessionErr() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class SuperviseDataSessionErrEvent extends java.util.EventObject {

    /**
     * Constructor for the SuperviseDataSessionErrEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public SuperviseDataSessionErrEvent(java.lang.Object source,
        org.csapi.jr.se.dsc.DataSessionError errorIndication) {

        super(source);
      this.errorIndication = errorIndication;
 
    }

    org.csapi.jr.se.dsc.DataSessionError errorIndication;

    /**
     *  This method is used to retrieve the parameter value of 'errorIndication' passed up
     *  from the Gateway in it's call to the superviseDataSessionErr() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'errorIndication' used on creation of this event.
     */
    public org.csapi.jr.se.dsc.DataSessionError getErrorIndication() {

        return this.errorIndication;
    }
       
}

