//Source file: SuperviseDataSessionResEvent.java
//Date: September 2004
//Data Session Control Interfaces and Data Types for 3GPP TS 29.198-08 V5.7.0

package org.csapi.jr.se.dsc;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the superviseDataSessionRes() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class SuperviseDataSessionResEvent extends java.util.EventObject {

    /**
     * Constructor for the SuperviseDataSessionResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public SuperviseDataSessionResEvent(java.lang.Object source,
        int                             report,
        org.csapi.jr.se.dsc.DataSessionSuperviseVolume usedVolume,
        org.csapi.jr.se.DataSessionQosClass qualityOfService) {

        super(source);
      this.report = report;
      this.usedVolume = usedVolume;
      this.qualityOfService = qualityOfService;
 
    }

    int                             report;

    /**
     *  This method is used to retrieve the parameter value of 'report' passed up
     *  from the Gateway in it's call to the superviseDataSessionRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'report' used on creation of this event.
     */
    public int getReport() {

        return this.report;
    }
       
    org.csapi.jr.se.dsc.DataSessionSuperviseVolume usedVolume;

    /**
     *  This method is used to retrieve the parameter value of 'usedVolume' passed up
     *  from the Gateway in it's call to the superviseDataSessionRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'usedVolume' used on creation of this event.
     */
    public org.csapi.jr.se.dsc.DataSessionSuperviseVolume getUsedVolume() {

        return this.usedVolume;
    }
       
    org.csapi.jr.se.DataSessionQosClass qualityOfService;

    /**
     *  This method is used to retrieve the parameter value of 'qualityOfService' passed up
     *  from the Gateway in it's call to the superviseDataSessionRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'qualityOfService' used on creation of this event.
     */
    public org.csapi.jr.se.DataSessionQosClass getQualityOfService() {

        return this.qualityOfService;
    }
       
}

